{% extends "admin/change_list.html" %}
{% load static %}

<!-- Override extrahead to add Chart.js -->
{% block extrahead %}
{{ block.super }}
<!-- Boostrap -->
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}" type="text/css" media="screen">

<link rel="stylesheet" href="{% static 'css/Chart.min.css' %}"  />
<script src="{% static 'js/Chart.bundle.min.js' %}"></script>
<script>
document.addEventListener('DOMContentLoaded', () => {

  const ctx = document.getElementById('myChart').getContext('2d');
  // Sample data
  const chartData = {{ chart_data | safe }};

  // Parse the dates to JS
  chartData.forEach((d) => {
    d.x = new Date(d.date);
  });

  // Render the chart
  const chart = new Chart(ctx, {
    type: 'bar',
    data: {
      datasets: [
        {
          label: 'New users',
          data: chartData,
          backgroundColor: 'rgba(220,20,20,0.5)',
        },
      ],
    },
    options: {
      responsive: true,
      scales: {
        xAxes: [
          {
            type: 'time',
            time: {
              unit: 'day',
              round: 'day',
              displayFormats: {
                day: 'MMM D',
              },
            },
          },
        ],
        yAxes: [
          {
            ticks: {
              beginAtZero: true,
            },
          },
        ],
      },
    },
  });
});
</script>
{% endblock %}

{% block content %}

<div class="row" style="height:500px;">
    <div class="col-6" >
        <canvas style="margin-bottom: 30px; width: 60%; height: 50%;" id="myChart"></canvas>
    </div>
    <div class="col-6">
        <canvas style="margin-bottom: 30px; width: 60%; height: 50%;" id="pieChart"></canvas>
    </div>
</div>


<!-- Render the rest of the ChangeList view -->
{{ block.super }}

<script>
    const ctx = document.getElementById('pieChart');
    data = {
        datasets: [{
            data: {{ pie_data | safe }} ,
            backgroundColor: [
                'rgba(54, 162, 235, 0.2)',
                'rgba(255, 99, 132, 0.2)',
            ]
        }],

        // These labels appear in the legend and in the tooltips when hovering different arcs
        labels: [
            'Yes',
            'No',
        ]
    };

    var myPieChart = new Chart(ctx, {
        type: 'pie',
        data: data,
        options: {
            title: {
                display: true,
                text: 'IFB members ?'
            }
        }

    });
</script>
{% endblock %}